from __future__ import annotations

from aiogram import Router

from app.handlers import user, catalog, admin, other, reviews, resellers


def build_router() -> Router:
    router = Router()
    router.include_router(admin.router)
    router.include_router(catalog.router)
    router.include_router(reviews.router)
    router.include_router(resellers.router)
    router.include_router(other.router)
    router.include_router(user.router)
    return router
